Handleman gave a link to SWTools in a different thread and there was an engineering toolbox macro with different shapes in it.
Angelsix LINK
Go to Products > Free Products > Solidworks > Engineering toolbox.
After running the macro, a dialog box pops up and all of the numbers in the drop-down field are metric. It looks like this: RHS screenshot LINK
It's easy enough to edit the macro to the sizes you want. Here is snippet from the macro called "RHS"
There are 9 macros in that library I can use (others are custom extrusions useless to me). Is there a code snippet I can add to every macro so that it converts the metric input to imperial input? Actually, not only the input but the sizes in the macro itself have to be in inches, such as the 20x20x2" shown in the code above.
Flores
Angelsix LINK
Go to Products > Free Products > Solidworks > Engineering toolbox.
After running the macro, a dialog box pops up and all of the numbers in the drop-down field are metric. It looks like this: RHS screenshot LINK
It's easy enough to edit the macro to the sizes you want. Here is snippet from the macro called "RHS"
Code:
Sub main()
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
' ##############################
' #### SET EQUAL ANGLES ####
' ##############################
MySizeValsString = ""
AddSizeValue "20x20x2"
AddSizeValue "20x20x2.5"
There are 9 macros in that library I can use (others are custom extrusions useless to me). Is there a code snippet I can add to every macro so that it converts the metric input to imperial input? Actually, not only the input but the sizes in the macro itself have to be in inches, such as the 20x20x2" shown in the code above.
Flores